Bug 604868 - [abrt] crash in awn-extras-applets-0.4.0-16.fc13: prefs.py:223:__init__:KeyError: 'computer'
[abrt] crash in awn-extras-applets-0.4.0-16.fc13: prefs.py:223:__init__:KeyEr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: awn-extras-applets (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:060ad542
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 17:19 EDT by Raphos
Modified: 2010-08-18 21:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: awn-extras-applets-0.4.0-20.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 16:54:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.54 KB, text/plain)
2010-06-16 17:19 EDT, Raphos
no flags Details

  None (edit)
Description Raphos 2010-06-16 17:19:10 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: python /usr/share/avant-window-navigator/applets/file-browser-launcher/file-browser-launcher.py --uid=1274916094 --window=16777258 --panel-id=1
component: awn-extras-applets
executable: /usr/share/avant-window-navigator/applets/file-browser-launcher/file-browser-launcher.py
kernel: 2.6.33.5-112.fc13.x86_64
package: awn-extras-applets-0.4.0-16.fc13
reason: prefs.py:223:__init__:KeyError: 'computer'
release: Fedora release 13 (Goddard)

backtrace
-----
prefs.py:223:__init__:KeyError: 'computer'

Traceback (most recent call last):
  File "/usr/share/avant-window-navigator/applets/file-browser-launcher/file-browser-launcher.py", line 1301, in open_prefs
    prefs.Prefs(self)
  File "/usr/share/avant-window-navigator/applets/file-browser-launcher/prefs.py", line 223, in __init__
    val = self.places[place]
KeyError: 'computer'

Local variables in innermost frame:
places_vbox: <gtk.VBox object at 0x1a36190 (GtkVBox at 0x1ac4db0)>
default_radio: <gtk.RadioButton object at 0x1a30b90 (GtkRadioButton at 0x19ccea0)>
name: 'thunar'
vbox: <gtk.VBox object at 0x1a30e10 (GtkVBox at 0x1ac4d20)>
dialog_radio: <gtk.RadioButton object at 0x1a30e60 (GtkRadioButton at 0x1b712b0)>
behavior_vbox: <gtk.VBox object at 0x1a30d70 (GtkVBox at 0x1ac4c90)>
align: <gtk.Alignment object at 0x1a30af0 (GtkAlignment at 0x1afd490)>
label: <gtk.Label object at 0x1a30dc0 (GtkLabel at 0x19cca90)>
self: <prefs.Prefs instance at 0x1a01d88>
keys: ['dolphin', 'konqueror', 'nautilus', 'thunar']
applet: <App object at 0x18bd960 (AwnApplet at 0x191c000)>
place: 'computer'
general_vbox: <gtk.VBox object at 0x1a30a00 (GtkVBox at 0x1ac4ae0)>
persist_radio: <gtk.RadioButton object at 0x1a30f50 (GtkRadioButton at 0x1b715f0)>
docklet_radio: <gtk.RadioButton object at 0x1a30eb0 (GtkRadioButton at 0x1b71450)>
fb_vbox: <gtk.VBox object at 0x1a30a50 (GtkVBox at 0x1ac4b70)>
radio: <gtk.RadioButton object at 0x1a30cd0 (GtkRadioButton at 0x19cc9c0)>
fb_list: {'konqueror': 'Konqueror', 'nautilus': 'Nautilus', 'dolphin': 'Dolphin', 'thunar': 'Thunar'}
Comment 1 Raphos 2010-06-16 17:19:12 EDT
Created attachment 424595 [details]
File: backtrace
Comment 2 leigh scott 2010-06-16 17:44:08 EDT
Bug forwarded to https://bugs.launchpad.net/awn-extras/+bug/595284
Comment 3 Fedora Admin XMLRPC Client 2010-06-25 01:54:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Einar Uvsløkk 2010-06-29 20:17:48 EDT
Package: awn-extras-applets-0.4.0-17.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Rightclick the awn applet
2. Choose preferences
Comment 5 Dan Schneider 2010-08-05 09:40:47 EDT
Package: awn-extras-applets-0.4.0-17.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.awn open
2.right click on "launch File Browser" aplet
3.Click preferences
Comment 6 Fedora Update System 2010-08-05 17:50:56 EDT
awn-extras-applets-0.4.0-18.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-18.fc13
Comment 7 Fedora Update System 2010-08-05 17:51:06 EDT
awn-extras-applets-0.4.0-18.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-18.fc12
Comment 8 Fedora Update System 2010-08-05 17:52:18 EDT
awn-extras-applets-0.4.0-20.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-20.fc14
Comment 9 Fedora Update System 2010-08-06 16:54:49 EDT
awn-extras-applets-0.4.0-18.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-08-06 17:03:33 EDT
awn-extras-applets-0.4.0-18.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-08-18 21:12:13 EDT
awn-extras-applets-0.4.0-20.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.